package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B1;
import com.ruoyi.system.domain.B8;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B8Mapper {

    public List<B8> selectAll();

    public List<B8> selectListByInfo(B8 b8);

    int insertOne(B8 b8);

    int examineB8(B8 b8);

    int delB8(B8 b8);

    int weekdelB8(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);


    List<B8> selectB8ListByProjectIDAndFromTo(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);
    List<B8> selectB8ByUserIDAndFromTo(@Param("userId") String userId, @Param("from") String from, @Param("to") String to);

    /**
     * 新增表b8字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 批量更新
     * @param list
     */
    void updateList(List<B8> list);
}
